Animations

Bootstrap animations

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap animations are illusions of motions for web elements. We offer 70+ animations generated by CSS only, all work properly on every browser.


Transparent MDB Logo

Select an animation


Basic usage

Using our animations is simple.

Step 1: Add the class .animated to the element you want to animate.

Step 2: Add one of the following classes:

  1. .bounce
  2. .flash
  3. .pulse
  4. .rubberBand
  5. .shake
  6. .headShake
  7. .swing
  8. .tada
  9. .wobble
  10. .jello
  11. .jackInTheBox
  12. .heartBeat
  13. .bounceIn
  14. .bounceInDown
  15. .bounceInLeft
  16. .bounceInRight
  17. .bounceInUp
  18. .bounceOut
  19. .bounceOutDown
  20. .bounceOutLeft
  21. .bounceOutRight
  22. .bounceOutUp
  23. .fadeIn
  24. .fadeInDown
  25. .fadeInDownBig
  26. .fadeInLeft
  27. .fadeInLeftBig
  28. .fadeInRight
  29. .fadeInRightBig
  30. .fadeInUp
  31. .fadeInUpBig
  32. .fadeOut
  33. .fadeOutDown
  34. .fadeOutDownBig
  35. .fadeOutLeft
  36. .fadeOutLeftBig
  37. .fadeOutRight
  38. .fadeOutRightBig
  39. .fadeOutUp
  40. .fadeOutUpBig
  41. .flipInX
  42. .flipInY
  43. .flipOutX
  44. .flipOutY
  45. .lightSpeedIn
  46. .lightSpeedOut
  47. .rotateIn
  48. .rotateInDownLeft
  49. .rotateInDownRight
  50. .rotateInUpLeft
  51. .rotateInUpRight
  52. .rotateOut
  53. .rotateOutDownLeft
  54. .rotateOutDownRight
  55. .rotateOutUpLeft
  56. .rotateOutUpRight
  57. .hinge
  58. .rollIn
  59. .rollOut
  60. .zoomIn
  61. .zoomInDown
  62. .zoomInLeft
  63. .zoomInRight
  64. .zoomInUp
  65. .zoomOut
  66. .zoomOutDown
  67. .zoomOutLeft
  68. .zoomOutRight
  69. .zoomOutUp
  70. .slideInDown
  71. .slideInLeft
  72. .slideInRight
  73. .slideInUp
  74. .slideOutDown
  75. .slideOutLeft
  76. .slideOutRight
  77. .slideOutUp

Live preview

        
            
        <img src="https://mdbootstrap.com/img/logo/mdb-transparent-250px.webp" class="animated bounce infinite" alt="Transparent MDB Logo" id="animated-img1">
        
        
    

Note: Do not add the "infinite" class if you do not want the animation to be looped.

Step 3 (additionally): You may also want to include slow, fast or delay classes or the infinite class for an infinite loop.

Transparent MDB Logo

Select an option

Add one of the following classes:

  1. .fast
  2. .faster
  3. .slow
  4. .slower
  5. .delay-1s
  6. .delay-2s
  7. .delay-3s
  8. .delay-4s
  9. .delay-5s
  10. .infinite

Advanced usage

You can do a whole bunch of other stuff with animations when you combine it with jQuery or add your own CSS rules.

1. Dynamically add animations using jQuery with ease:

        
            
        $('#yourElement').addClass('animated bounceOutLeft');
      
        
    

2. You can also detect when an animation ends:

        
            
        $('#yourElement').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', doSomething);
      
        
    

Note: jQuery.one() is used when you want to execute the event handler at most once. More information here.


3. You can also extend jQuery to add a function that does it all for you:

        
            
        #yourElement {
          -vendor-animation-duration: 3s;
          -vendor-animation-delay: 2s;
          -vendor-animation-iteration-count: infinite;
        }
      
        
    

Note: be sure to replace "vendor" in the CSS code with the applicable vendor prefixes (webkit, moz, etc).


Reveal Animations When Scrolling

Thanks to MDB you can easily launch an animation on page scroll.

Sample image
Sample image
Sample image
Sample image
Sample image
Sample image

Basic usage

Step 1: Initialize the script for animations when scrolling.

        
            
        $( document ).ready(function() {
          new WOW().init();
        });
      
        
    

Step 2: Add the CSS class .wow to an HTML element: it will be invisible until the user scrolls to reveal it.

        
            
        <img src="..." class="wow">
      
        
    

Step 3: Pick an animation style from the list of animations , then add the CSS class to the HTML element.

        
            
        <img src="..." class="wow fadeInUp">
      
        
    

Adding multiple animations via jQuery

If you want to use the same animation throughout the entire page, you can use jQuery addClass() to make it once, then reuse it.

        
            
        $( ".wow" ).addClass( "fadeInUp" );
      
        
    

visibility: hidden;

Add visibility: hidden to the wow if you want to animate the element which is visible immediately after page load. Thanks to that you avoid reloading the content after javascript has loaded.

        
            
        .wow {
          visibility: hidden;
        }
      
        
    

Options

Use one of the custom attributes below to change the behavior of the animations upon a scrolling.

  1. data-wow-duration: Change the animation duration

  2. data-wow-delay: Delay before the animation starts

  3. data-wow-iteration: Number of times the animation will be repeated

        
            
        <img src="..." class="wow fadeInUp" data-wow-delay="0.6s">

Vue Bootstrap Animations

Vue Animations - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap animations are illusions of motions for web elements. +70 animations generated by CSS only, work properly on every browser.

Transparent MDB Logo

Select an animation


Basic usage

Using our animation is simple.

Step 1: Add the class .animated to the element you want to animate.

Step 2: Add one of the following classes:

  1. .bounce
  2. .flash
  3. .pulse
  4. .rubberBand
  5. .shake
  6. .headShake
  7. .swing
  8. .tada
  9. .wobble
  10. .jello
  11. .bounceIn
  12. .bounceInDown
  13. .bounceInLeft
  14. .bounceInRight
  15. .bounceInUp
  16. .bounceOut
  17. .bounceOutDown
  18. .bounceOutLeft
  19. .bounceOutRight
  20. .bounceOutUp
  21. .fadeIn
  22. .fadeInDown
  23. .fadeInDownBig
  24. .fadeInLeft
  25. .fadeInLeftBig
  26. .fadeInRight
  27. .fadeInRightBig
  28. .fadeInUp
  29. .fadeInUpBig
  30. .fadeOut
  31. .fadeOutDown
  32. .fadeOutDownBig
  33. .fadeOutLeft
  34. .fadeOutLeftBig
  35. .fadeOutRight
  36. .fadeOutRightBig
  37. .fadeOutUp
  38. .fadeOutUpBig
  39. .flipInX
  40. .flipInY
  41. .flipOutX
  42. .flipOutY
  43. .lightSpeedIn
  44. .lightSpeedOut
  45. .rotateIn
  46. .rotateInDownLeft
  47. .rotateInDownRight
  48. .rotateInUpLeft
  49. .rotateInUpRight
  50. .rotateOut
  51. .rotateOutDownLeft
  52. .rotateOutDownRight
  53. .rotateOutUpLeft
  54. .rotateOutUpRight
  55. .hinge
  56. .rollIn
  57. .rollOut
  58. .zoomIn
  59. .zoomInDown
  60. .zoomInLeft
  61. .zoomInRight
  62. .zoomInUp
  63. .zoomOut
  64. .zoomOutDown
  65. .zoomOutLeft
  66. .zoomOutRight
  67. .zoomOutUp
  68. .slideInDown
  69. .slideInLeft
  70. .slideInRight
  71. .slideInUp
  72. .slideOutDown
  73. .slideOutLeft
  74. .slideOutRight
  75. .slideOutUp

Step 3 (additionally): You may also want to include the class infinite for an infinite loop.

Transparent MDB Logo
        
            
        <template>
          <img class="animated bounce infinite" src="https://mdbootstrap.com/img/logo/mdb-transparent.webp">
        </template>
    
        
    

Reveal Animations When Scrolling

Thanks to MDB you can easily launch an animation on page scroll - as soon as element is fully visible on the screen

Sample image
Sample image
Sample image
Sample image
Sample image
Sample image
        
            
          <template>
            <section>
              <div class="mb-5">
                <mdb-row class="mb-4">
                  <mdb-col>
                    <img
                      src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(31).webp"
                      alt="Sample image"
                      class="img-fluid"
                      v-animateOnScroll="{animation: 'bounceInLeft', delay: 300, position: 20}"
                    >
                  </mdb-col>
                  <mdb-col>
                    <img
                      src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(32).webp"
                      alt="Sample image"
                      class="img-fluid"
                      v-animateOnScroll="'tada'"
                    >
                  </mdb-col>
                  <mdb-col>
                    <img
                      src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(73).webp"
                      alt="Sample image"
                      class="img-fluid"
                      v-animateOnScroll="{animation: 'fadeInLeft', delay: 200}"
                    >
                  </mdb-col>
                </mdb-row>
                <mdb-row class="mb-4">
                  <mdb-col>
                    <img
                      src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(34).webp"
                      alt="Sample image"
                      class="img-fluid"
                      v-animateOnScroll="'fadeInRight'"
                    >
                  </mdb-col>
                  <mdb-col>
                    <img
                      src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(14).webp"
                      alt="Sample image"
                      class="img-fluid"
                      v-animateOnScroll="'fadeIn'"
                    >
                  </mdb-col>
                  <mdb-col>
                    <img
                      src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(35).webp"
                      alt="Sample image"
                      class="img-fluid"
                      v-animateOnScroll="'rollIn'"
                    >
                  </mdb-col>
                </mdb-row>
              </div>
            </section>
          </template>
        
        
    
        
            
          <script>
            import { mdbRow, mdbCol, animateOnScroll } from 'mdbvue';
            export default {
              name: 'AnimationsPage',
              components: {
                mdbRow,
                mdbCol,
              },
              directives: {
                animateOnScroll
              }
            }
          </script>
        
        
    

Basic usage

Step 1: Import animateOnScroll directive from 'mdbvue'

        
            
        <script>
          import { animateOnScroll } from "mdbvue";
        </script>
    
        
    

Step 2: Add animateOnScroll to directives

        
            
         <script>
          import { animateOnScroll } from "mdbvue";
          export default {
            name: "AnimationsPage",
            directives: {
              animateOnScroll
            }
          }
        </script>
    
        
    

Step 3: Pick an animation style from the list of animations and set the directive equal to its name:

        
            
        <template>
          <img
            src="https://mdbootstrap.com/img/logo/mdb-transparent-250px.webp"
            alt="Transparent MDB Logo"
            v-animateOnScroll="'fadeIn'"
          >
        </template>
      
        
    
        
            
        <script>
          import { animateOnScroll } from "mdbvue";

          export default {
            name: "AnimationsPage",
            directives: {
              animateOnScroll
            }
          }
        </script>
      
        
    

Step 4: Customize your animation according to your needs by passing an object to a v-animateOnScroll directive. Apart from animation class you can specify delay or position - delay takes time as an argument (in miliseconds) while position is an additional percent of a view port height user has to scroll before an animation starts.

        
            
        <template>
          <img
            src="https://mdbootstrap.com/img/logo/mdb-transparent-250px.webp"
            alt="Transparent MDB Logo"
            v-animateOnScroll="{animation: 'fadeInRight', delay: 100, position: 12}"
          >
        </template>
      
        
    
        
            
        <script>
          import { animateOnScroll } from "mdbvue";

          export default {
            name: "AnimationsPage",
            directives: {
              animateOnScroll
            }
          }
        </script>

React Animations

React Animations - Bootstrap 4 & Material Design

React Bootstrap animations are illusions of motions for web elements. +70 animations generated by CSS only, work properly on every browser.

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5


Basic usage

Using our animation is simple. Wrap the content you want to animate into the Animation component and specify its type. Check out the API section for more advanced options!

        
            
                        import React from "react";
                        import { MDBAnimation } from "mdbreact";

                        const AnimationPage = () => {
                            return (
                                <MDBAnimation type="bounce" infinite>
                                    <img className="img-fluid" alt="" src="https://mdbootstrap.com/img/logo/mdb-transparent-250px.webp" />
                                </MDBAnimation>
                            );
                        };

                        export default AnimationPage;
                    
        
    

React Animations - API

In this section you will find advanced information about the Animation component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Animation import statement

In order to use Animation component make sure you have imported proper module first.

        
            
          import { MDBAnimation } from "mdbreact";
        
        
    

API Reference: Animation Properties

The table below shows the configuration options of the MDBAnimation component.

Name Type Default Description Example
className String Adds custom classes <MDBAutocomplete className="myClass" />
type String The props defines the kind of animation desired <MDBAnimation type="bounce" />
count Number 1 The number of iterations the animation should have <MDBAnimation count={4} />
duration String 1s Defines the speed of animation, takes a string consisting of a number and a unit indicator (s/ms) <MDBAnimation duration="5s" />
delay String 0 Sets the amount of time that should pass before the initial iteration of animation, takes a string consisting of a number and a unit indicator (s/ms) <MDBAnimation delay="5s" />
infinite Bolean false Makes an animation go for eternity. Note: it overwrites the count prop <MDBAnimation infinite />
reveal Bolean false Setting this option makes the component postpone the animation untill the viewport reaches it's relative position <MDBAnimation reveal />

API Reference: Animation Methods

We can fire events on arbitrary stages of animation. The props below take in functions that resolve whenever the related stage is reached.

Name Parameters Description Example
onAnimationStart Fires once an animation starts <MDBAnimation onAnimationStart={this.handleStart} >
onAnimationIteration Function gets executed every time an animation happens. To have things happening only on particular iterations (say, every time for the first five times and then every fith one), it is enough to create a variable being incremented within a function and define a simple if statement to see, whether the ongoing iteration number fullfills the requirement (like if (count < 6 || count % 5 == 0){yourFunction}) <MDBAnimation onAnimationIteration={this.yourFunction} >
onAnimationEnd Function shall take place after the final iteration of an animation <MDBAnimation onAnimationStart={this.onAnimationEnd} >

Using the Animation component means having over seventy ready-to-use animation types. They are inputted as strings into the type prop.

Full list of animations:

  1. flash
  2. bounce
  3. pulse
  4. rubberBand
  5. shake
  6. headShake
  7. swing
  8. tada
  9. wobble
  10. jello
  11. bounceIn
  12. bounceInDown
  13. bounceInLeft
  14. bounceInRight
  15. bounceInUp
  16. bounceOut
  17. bounceOutDown
  18. bounceOutLeft
  19. bounceOutRight
  20. bounceOutUp
  21. fadeIn
  22. fadeInDown
  23. fadeInDownBig
  24. fadeInLeft
  25. fadeInLeftBig
  26. fadeInRight
  27. fadeInRightBig
  28. fadeInUp
  29. fadeInUpBig
  30. fadeOut
  31. fadeOutDown
  32. fadeOutDownBig
  33. fadeOutLeft
  34. fadeOutLeftBig
  35. fadeOutRight
  36. fadeOutRightBig
  37. fadeOutUp
  38. fadeOutUpBig
  39. flipInX
  40. flipInY
  41. flipOutX
  42. flipOutY
  43. lightSpeedIn
  44. lightSpeedOut
  45. rotateIn
  46. rotateInDownLeft
  47. rotateInDownRight
  48. rotateInUpLeft
  49. rotateInUpRight
  50. rotateOut
  51. rotateOutDownLeft
  52. rotateOutDownRight
  53. rotateOutUpLeft
  54. rotateOutUpRight
  55. hinge
  56. rollIn
  57. rollOut
  58. zoomIn
  59. zoomInDown
  60. zoomInLeft
  61. zoomInRight
  62. zoomInUp
  63. zoomOut
  64. zoomOutDown
  65. zoomOutLeft
  66. zoomOutRight
  67. zoomOutUp
  68. slideInDown
  69. slideInLeft
  70. slideInRight
  71. slideInUp
  72. slideOutDown
  73. slideOutLeft
  74. slideOutRight
  75. slideOutUp

Animation creator

Select an animation type

Iteration count:
Duration:
Delay:
Transparent MDB Logo

Reveal animations when scrolling

Thanks to MDB you can easily launch an animation on page scroll. It is just as easy as adding the reveal prop to the Animation component!

        
            
                        import React from "react";
                        import { MDBAnimation } from "mdbreact";

                        const AnimationPage = () => {
                            return (
                                <>
                                    <MDBAnimation reveal type="bounceInUp">
                                        <img alt="A view on mountains." className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(31).webp" />
                                    </MDBAnimation>
                                    <MDBAnimation reveal type="tada">
                                        <img alt="Cottage on a lake surrounded by mountains." className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(32).webp" />
                                    </MDBAnimation>
                                    <MDBAnimation reveal type="fadeInLeft">
                                        <img alt="A boat floating on an ocean" className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(73).webp" />
                                    </MDBAnimation>

                                    <MDBAnimation reveal type="fadeInRight">
                                        <img alt="View on mountains from mountain top." className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(34).webp" />
                                    </MDBAnimation>
                                    <MDBAnimation reveal type="fadeInRight">
                                        <img alt="Rocky shore in the morning." className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(14).webp" />
                                    </MDBAnimation>
                                    <MDBAnimation reveal type="fadeInUp">
                                        <img alt="Rocky shore in the morning." className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(35).webp" />
                                    </MDBAnimation>
                                </>
                            );
                        };

                        export default AnimationPage;